%% colorKIT.sty: definition of KIT color scheme
%% ====================================================
%% Author: Dr. Thomas Hertweck, Thomas.Hertweck@kit.edu
%% ====================================================

\ProvidesPackage{colorKIT}[2025/02/26 v2.0 definition of KIT color scheme]

\RequirePackage{xcolor}

\selectcolormodel{rgb}

%%%%%%%%%%%%%%%%%%%%%%%
%% define KIT colors %%
%%%%%%%%%%%%%%%%%%%%%%%

%% background, text elements, lines, footer etc.
\definecolor{KITwhite}{RGB}{255,255,255}
\definecolor{KITdarkblue}{RGB}{0,45,76}
\definecolor{KITgray}{RGB}{168,185,196}
\definecolor{KITlightgray}{RGB}{218,225,230}
\definecolor{KITiceblue}{RGB}{183,255,245}

%% highlight colors
\definecolor{KITbluegreen}{RGB}{0,150,130}
\definecolor{KITdarkbluegreen}{RGB}{0,90,80}
\definecolor{KITlightblue}{RGB}{35,161,224}
\definecolor{KITblue}{RGB}{12,83,126}
\definecolor{KITlightgreen}{RGB}{140,182,60}
\definecolor{KITgreen}{RGB}{39,103,56}

%% custom colors, use in exceptional circumstances only
\definecolor{KITblack}{RGB}{0,0,0}
\definecolor{KITpurple}{RGB}{163,16,124}
\definecolor{KITorange}{RGB}{223,155,27}
\definecolor{KITyellow}{RGB}{252,229,0}
\definecolor{KITred}{RGB}{211,0,21}
\definecolor{KITbrown}{RGB}{167,130,46}

%% shades
\colorlet{KITblack70}{KITblack!70}
\colorlet{KITblack50}{KITblack!50}
\colorlet{KITblack30}{KITblack!30}
\colorlet{KITblack15}{KITblack!15}
\colorlet{KITgray70}{KITgray!70}
\colorlet{KITgray50}{KITgray!50}
\colorlet{KITgray30}{KITgray!30}
\colorlet{KITgray15}{KITgray!15}
\colorlet{KITlightgray70}{KITlightgray!70}
\colorlet{KITlightgray50}{KITlightgray!50}
\colorlet{KITlightgray30}{KITlightgray!30}
\colorlet{KITlightgray15}{KITlightgray!15}
\colorlet{KITdarkblue70}{KITdarkblue!70}
\colorlet{KITdarkblue50}{KITdarkblue!50}
\colorlet{KITdarkblue30}{KITdarkblue!30}
\colorlet{KITdarkblue15}{KITdarkblue!15}
\colorlet{KITbluegreen70}{KITbluegreen!70}
\colorlet{KITbluegreen50}{KITbluegreen!50}
\colorlet{KITbluegreen30}{KITbluegreen!30}
\colorlet{KITbluegreen15}{KITbluegreen!15}
\colorlet{KITdarkbluegreen70}{KITdarkbluegreen!70}
\colorlet{KITdarkbluegreen50}{KITdarkbluegreen!50}
\colorlet{KITdarkbluegreen30}{KITdarkbluegreen!30}
\colorlet{KITdarkbluegreen15}{KITdarkbluegreen!15}
\colorlet{KITlightblue70}{KITlightblue!70}
\colorlet{KITlightblue50}{KITlightblue!50}
\colorlet{KITlightblue30}{KITlightblue!30}
\colorlet{KITlightblue15}{KITlightblue!15}
\colorlet{KITblue70}{KITblue!70}
\colorlet{KITblue50}{KITblue!50}
\colorlet{KITblue30}{KITblue!30}
\colorlet{KITblue15}{KITblue!15}
\colorlet{KITlightgreen70}{KITlightgreen!70}
\colorlet{KITlightgreen50}{KITlightgreen!50}
\colorlet{KITlightgreen30}{KITlightgreen!30}
\colorlet{KITlightgreen15}{KITlightgreen!15}
\colorlet{KITgreen70}{KITgreen!70}
\colorlet{KITgreen50}{KITgreen!50}
\colorlet{KITgreen30}{KITgreen!30}
\colorlet{KITgreen15}{KITgreen!15}
\colorlet{KITpurple70}{KITpurple!70}
\colorlet{KITpurple50}{KITpurple!50}
\colorlet{KITpurple30}{KITpurple!30}
\colorlet{KITpurple15}{KITpurple!15}
\colorlet{KITorange70}{KITorange!70}
\colorlet{KITorange50}{KITorange!50}
\colorlet{KITorange30}{KITorange!30}
\colorlet{KITorange15}{KITorange!15}
\colorlet{KITyellow70}{KITyellow!70}
\colorlet{KITyellow50}{KITyellow!50}
\colorlet{KITyellow30}{KITyellow!30}
\colorlet{KITyellow15}{KITyellow!15}
\colorlet{KITred70}{KITred!70}
\colorlet{KITred50}{KITred!50}
\colorlet{KITred30}{KITred!30}
\colorlet{KITred15}{KITred!15}
\colorlet{KITbrown70}{KITbrown!70}
\colorlet{KITbrown50}{KITbrown!50}
\colorlet{KITbrown30}{KITbrown!30}
\colorlet{KITbrown15}{KITbrown!15}

%% ...and some aliases for the German users:
\colorlet{KITweiss}{KITwhite}
\colorlet{KITschwarz}{KITblack}
\colorlet{KITdunkelblau}{KITdarkblue}
\colorlet{KITgrau}{KITgray}
\colorlet{KIThellgrau}{KITlightgray}
\colorlet{KITblaugruen}{KITbluegreen}
\colorlet{KITdunkelblaugruen}{KITdarkbluegreen}
\colorlet{KIThellblau}{KITlightblue}
\colorlet{KITblau}{KITblue}
\colorlet{KIThellgruen}{KITlightgreen}
\colorlet{KITgruen}{KITgreen}
\colorlet{KITpurpur}{KITpurple}
\colorlet{KITlila}{KITpurple}
\colorlet{KITgold}{KITorange}
\colorlet{KITgelb}{KITyellow}
\colorlet{KITrot}{KITred}
\colorlet{KITbraun}{KITbrown}
\colorlet{KITschwarz70}{KITblack70}
\colorlet{KITschwarz50}{KITblack50}
\colorlet{KITschwarz30}{KITblack30}
\colorlet{KITschwarz15}{KITblack15}
\colorlet{KITgrau70}{KITgray70}
\colorlet{KITgrau50}{KITgray50}
\colorlet{KITgrau30}{KITgray30}
\colorlet{KITgrau15}{KITgray15}
\colorlet{KIThellgrau70}{KITlightgray70}
\colorlet{KIThellgrau50}{KITlightgray50}
\colorlet{KIThellgrau30}{KITlightgray30}
\colorlet{KIThellgrau15}{KITlightgray15}
\colorlet{KITdunkelblaugruen70}{KITdarkbluegreen70}
\colorlet{KITdunkelblaugruen50}{KITdarkbluegreen50}
\colorlet{KITdunkelblaugruen30}{KITdarkbluegreen30}
\colorlet{KITdunkelblaugruen15}{KITdarkbluegreen15}
\colorlet{KITblaugruen70}{KITbluegreen70}
\colorlet{KITblaugruen50}{KITbluegreen50}
\colorlet{KITblaugruen30}{KITbluegreen30}
\colorlet{KITblaugruen15}{KITbluegreen15}
\colorlet{KITdunkelblaugruen70}{KITdarkbluegreen70}
\colorlet{KITdunkelblaugruen50}{KITdarkbluegreen50}
\colorlet{KITdunkelblaugruen30}{KITdarkbluegreen30}
\colorlet{KITdunkelblaugruen15}{KITdarkbluegreen15}
\colorlet{KIThellblau70}{KITlightblue70}
\colorlet{KIThellblau50}{KITlightblue50}
\colorlet{KIThellblau30}{KITlightblue30}
\colorlet{KIThellblau15}{KITlightblue15}
\colorlet{KITblau70}{KITblue70}
\colorlet{KITblau50}{KITblue50}
\colorlet{KITblau30}{KITblue30}
\colorlet{KITblau15}{KITblue15}
\colorlet{KIThellgruen70}{KITlightgreen70}
\colorlet{KIThellgruen50}{KITlightgreen50}
\colorlet{KIThellgruen30}{KITlightgreen30}
\colorlet{KIThellgruen15}{KITlightgreen15}
\colorlet{KITgruen70}{KITgreen70}
\colorlet{KITgruen70}{KITgreen50}
\colorlet{KITgruen70}{KITgreen30}
\colorlet{KITgruen70}{KITgreen15}
\colorlet{KITlila70}{KITpurple70}
\colorlet{KITlila50}{KITpurple50}
\colorlet{KITlila30}{KITpurple30}
\colorlet{KITlila15}{KITpurple15}
\colorlet{KITgelb70}{KITyellow70}
\colorlet{KITgelb50}{KITyellow50}
\colorlet{KITgelb30}{KITyellow30}
\colorlet{KITgelb15}{KITyellow15}
\colorlet{KITrot70}{KITred70}
\colorlet{KITrot50}{KITred50}
\colorlet{KITrot30}{KITred30}
\colorlet{KITrot15}{KITred15}
\colorlet{KITbraun70}{KITbrown70}
\colorlet{KITbraun50}{KITbrown50}
\colorlet{KITbraun30}{KITbrown30}
\colorlet{KITbraun15}{KITbrown15}
